import { isEqual } from 'lodash';
import { useRef } from 'react';

/**
 *
 * @param arg 数组，对象是否有变化
 * @returns
 */
export function useEqual<T>(arg: T) {
  const ref = useRef<T>();
  if (!isEqual(ref.current, arg)) {
    ref.current = arg;
  }
  return ref.current;
}
