import { useCallback, useLayoutEffect, useRef } from 'react';

export function useStableCallback<Args extends any[], T>(callback: (...args: Args) => T) {
  const cbRef = useRef(callback);
  useLayoutEffect(() => {
    cbRef.current = callback;
  });
  return useCallback((...args: Args) => cbRef.current(...args), [cbRef]);
}
